DROP TABLE
IF
	EXISTS common_algorithm_config;
CREATE TABLE common_algorithm_config (
	id SERIAL PRIMARY KEY,-- 自增长的主键
	tool VARCHAR ( 100 ) NOT NULL,-- 工具，长度限制为 100
	module VARCHAR ( 100 ) NOT NULL,-- 模块，长度限制为 100
	algorithm_name VARCHAR ( 100 ) NOT NULL,-- 算法名称，长度限制为 100
	start_api VARCHAR ( 255 ),-- 开始接口，长度限制为 255
	pause_api VARCHAR ( 255 ),-- 暂停接口，长度限制为 255
	terminate_api VARCHAR ( 255 ),-- 终止接口，长度限制为 255
	parameters JSONB,-- 参数，使用 JSONB 类型存储结构化数据
	create_by INT,-- 创建者 ID
	create_time TIMESTAMP DEFAULT CURRENT_TIMESTAMP,-- 创建时间
	update_by INT,-- 更新者 ID
	update_time TIMESTAMP DEFAULT CURRENT_TIMESTAMP,-- 更新时间
	remarks VARCHAR ( 500 ),-- 备注，长度限制为 500
	del_flag SMALLINT NOT NULL DEFAULT 0,-- 删除标志，0 表示未删除
	tenant_id INT,-- 租户 ID
	version INT DEFAULT 0 NOT NULL-- 版本号

);
INSERT INTO common_algorithm_config ( tool, module, algorithm_name, start_api, terminate_api, parameters, remarks )
VALUES
	( '目标精确捕获技术设计支撑工具', '侦察图像拼接-数据增强', '图像增强', 'http://127.0.0.1:11003/qushachen', 'http://127.0.0.1:11003/qushachen_stop', '{"s_v": 41, "ratio_mix": 0.33}', '图像增强算法配置' );
INSERT INTO common_algorithm_config ( tool, module, algorithm_name, start_api, terminate_api, parameters, remarks )
VALUES
	( '目标精确捕获技术设计支撑工具', '侦察图像拼接-图像逆光', '图像逆光', 'http://127.0.0.1:11004/niguang', 'http://127.0.0.1:11002/niguang_stop', '{"light": 48, "alpha": 0.6, "beta": -20}', '图像逆光算法配置' );
INSERT INTO common_algorithm_config ( tool, module, algorithm_name, start_api, terminate_api, parameters, remarks )
VALUES
	( '目标精确捕获技术设计支撑工具', '侦察图像拼接-图像拼接', '侦察图像拼接算法_sift', 'http://127.0.0.1:11006/imageMosaic', 'http://127.0.0.1:11006/imageMosaic_stop', '{}', '侦察图像拼接算法_sift配置' );
INSERT INTO common_algorithm_config ( tool, module, algorithm_name, start_api, terminate_api, parameters, remarks )
VALUES
	( '目标精确捕获技术设计支撑工具', '侦察图像拼接-图像拼接', '侦察图像拼接算法_coordinate', 'http://127.0.0.1:11006/imageMosaic', 'http://127.0.0.1:11006/imageMosaic_stop', '{}', '侦察图像拼接算法_coordinate配置' );
INSERT INTO common_algorithm_config ( tool, module, algorithm_name, start_api, terminate_api, parameters, remarks )
VALUES
	( '目标精确捕获技术设计支撑工具', '多目标选择-多目标跟踪', '多目标跟踪', 'http://127.0.0.1:10029/targetTrack', 'http://127.0.0.1:10029/targetTrack_stop', '{"imgsz": 960,"conf": 0.5,"iou": 0.7}', '多目标跟踪算法配置' );
INSERT INTO common_algorithm_config ( tool, module, algorithm_name, start_api, terminate_api, parameters, remarks )
VALUES
	( '目标精确捕获技术设计支撑工具', '目标毁伤模块', '目标毁伤评估', 'http://localhost:11009/targetDamageAssessment', 'http://localhost:11009/targetDamageAssessment_stop', '{}', '目标毁伤评估算法配置' );
